Bug 808510 - Only import used boto modules in caroniad
Only import used boto modules in caroniad
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-ec2-enhanced (Show other bugs)
Development
All Linux
low Severity low
: 2.3
: ---
Assigned To: Robert Rati
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 10:50 EDT by Robert Rati
Modified: 2012-10-04 08:56 EDT (History)
6 users (show)

See Also:
Fixed In Version: condor-ec2-enhanced[-hooks]-1.3.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-04 08:56:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2012-03-30 10:50:42 EDT
Description of problem:
Instead of importing all modules in a boto submodule, only import the bits that we use.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2012-04-05 10:47:29 EDT
All boto imports list the explicit components they use now.

Tracking on branch:
master

Note You need to log in before you can comment on or make changes to this bug.